### Class

# Fwupd JcatItem

#### Description

    final class Fwupd.JcatItem : GObject.Object
      implements Fwupd.Codec {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- FwupdCodec

#### Constructors

###### fwupd_jcat_item_new

Creates a new item.

since: 2.1.3

#### Instance methods

###### fwupd_jcat_item_add_alias_id

Adds an item alias ID. Alias IDs are matched when using functions such as fwupd_jcat_file_get_item_by_id().

since: 2.1.3

###### fwupd_jcat_item_add_blob

Adds a new blob to the item.

since: 2.1.3

###### fwupd_jcat_item_get_alias_ids

Gets the list of alias IDs.

since: 2.1.3

###### fwupd_jcat_item_get_blob_by_kind

Gets the item blobs by a specific kind.

since: 2.1.3

###### fwupd_jcat_item_get_blobs

Gets all the blobs for this item.

since: 2.1.3

###### fwupd_jcat_item_get_blobs_by_kind

Gets the item blobs by a specific kind.

since: 2.1.3

###### fwupd_jcat_item_get_id

Returns the item ID.

since: 2.1.3

###### fwupd_jcat_item_get_id_safe

Returns the item ID, if safe to use as a path.

since: 2.1.3

###### fwupd_jcat_item_has_target

Finds out if any of the blobs are targeting an internal checksum. If this returns with success then the caller might be able to use functions like `fwupd_jcat_context_verify_target()` supplying some target checksums.

since: 2.1.3

###### fwupd_jcat_item_remove_alias_id

Removes an item alias ID.

since: 2.1.3

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from FwupdCodec (8)

###### fwupd_codec_add_string

Converts an object that implements `FwupdCodec` to a debug string, appending it to `str`.

since: 2.0.0

###### fwupd_codec_from_json

Converts an object that implements `FwupdCodec` from a JSON object.

since: 2.0.0

###### fwupd_codec_from_json_string

Converts an object that implements `FwupdCodec` from a JSON string.

since: 2.0.0

###### fwupd_codec_from_variant

Converts an object that implements `FwupdCodec` from a `GVariant` value.

since: 2.0.0

###### fwupd_codec_to_json

Converts an object that implements `FwupdCodec` to a JSON builder object.

since: 2.0.0

###### fwupd_codec_to_json_string

Converts an object that implements `FwupdCodec` to a JSON string.

since: 2.0.0

###### fwupd_codec_to_string

Converts an object that implements `FwupdCodec` to a debug string.

since: 2.0.0

###### fwupd_codec_to_variant

Converts an object that implements `FwupdCodec` to a `GVariant`.

since: 2.0.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdJcatItemClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.